> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate necessary documents for signature request

> Generates all required documents for a signature request for the brokerage firm based on product configuration.



## OpenAPI

````yaml /openapi.json post /brokerage-firms/{brokerageFirmId}/documents-for-signature
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/{brokerageFirmId}/documents-for-signature:
    post:
      tags:
        - brokerage-firms
      summary: Generate necessary documents for signature request
      description: >-
        Generates all required documents for a signature request for the
        brokerage firm based on product configuration.
      operationId: BrokerageFirmController_generateDocumentsForSignature
      parameters:
        - name: brokerageFirmId
          required: true
          in: path
          description: the brokerageFirm id
          schema:
            type: string
        - name: documentTypes
          required: false
          in: query
          schema:
            type: array
            items:
              $ref: '#/components/schemas/GenerateDocumentsForSignatureDocumentType'
      responses:
        '200':
          description: Documents for signature generated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateDocumentsForSignatureOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
              examples:
                BROKERAGE_FIRM_NOT_FOUND:
                  $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
          description: ''
components:
  schemas:
    GenerateDocumentsForSignatureDocumentType:
      type: string
      enum:
        - SEPA_MANDATE
        - DISTRIBUTION_CONTRACT
        - OTHER
    GenerateDocumentsForSignatureOutput:
      type: object
      properties:
        ids:
          description: List of document ids
          type: array
          items:
            type: string
      required:
        - ids
    BrokerageFirmNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - BROKERAGE_FIRM_NOT_FOUND
        message:
          type: string
          example: No brokerage firm found for brokerage firm id {brokerageFirmId}
        details:
          $ref: '#/components/schemas/BrokerageFirmNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    BrokerageFirmNotFoundDetailsDto:
      type: object
      properties:
        brokerageFirmId:
          type: string
        source:
          type: string
        policyId:
          type: string
      required:
        - brokerageFirmId

````